### A free/open-source library for quantitative finance

Public Member Functions
AssetOrNothingPayoff Class Reference

Binary asset-or-nothing payoff. More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for AssetOrNothingPayoff:
[legend]

List of all members.

## Public Member Functions

| AssetOrNothingPayoff (Option::Type type, Real strike)
Payoff interface
std::string | name () const
Real | operator() (Real price) const
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Binary asset-or-nothing payoff.

Definitions of Binary path-independent payoffs used below, can be found in M. Rubinstein, E. Reiner:"Unscrambling The Binary Code", Risk, Vol.4 no.9,1991. (see: http://www.in-the-money.com/artandpap/Binary%20Options.doc)

## Member Function Documentation

std::string name | ( |  | ) | const`[virtual]`

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implements Payoff.